Subject: RE: [Ltru] maintain registration records for every single subtag(gen-art #10)

From: "Peter Constable" <[email-masked]>
Date: Fri, 2 Sep 2005 20:20:04 -0700

+1

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Addison Phillips
> Sent: Thursday, September 01, 2005 10:21 AM
> To: LTRU Working Group
> Cc: Elwyn Davies
> Subject: [Ltru] maintain registration records for every single
subtag(gen-
> art #10)
> 
> > > s3.1: para 1, last sentence:  Given that *all* the initial records
> > > are in the initial registry load RFC, maintaining registration
forms
> > > for just the RFC3066 subset seems a little odd.  Why not all or
> > > none, since presumably they can be created by an automated script?
> > [Addison Phillips]
> >
> > The RFC 3066 registry is maintained in perpetuity and its format is
> > different than that of the draft. That registry is maintained as an
> > obsolete reference (it just seemed prudent to do so). Generating
many
> > registration forms for the initial set, however, doesn't seem that
> useful.
> 
> The proposal is to generate bogus registration forms for every subtag.
I
> believe this is a mis-reading of the original intention (which was
that
> the existing RFC 3066 registry be preserved).
> 
> I note that, as written, the IANA considerations do not preserve the
> registration forms! The approved record is entered into the registry
and
> the form is apparently discarded. Section 5 says this clearly and
Sections
> 3.2 and 3.4 imply it strongly. The only reference to the maintenance
of
> registration forms is the cited sentence in Section 3.1, para 1, which
> says that the forms will be preserved. We should decide which one.
> 
> Proposed Solution:
> 
> Change the cited sentence:
> 
> --
> With the exception of the registration forms for grandfathered and
> redundant tags, no registration records will be maintained for the
initial
> set of subtags.
> --
> 
> To read:
> 
> --
> The existing registration forms for RFC 3066 grandfathered and
redundant
> tags will be maintained as part of the obsolete RFC 3066 registry. The
> remaining set of initial subtags will not have registration forms
created
> for them.
> --
> 
> And change this sentence in Section 5:
> 
> --
> Future work on the Language Subtag Registry SHALL be limited to
inserting
> or replacing whole records preformatted for IANA by the Language
Subtag
> Reviewer as described in Section 3.2 (Maintenance of the Registry) of
this
> document.
> --
> 
> To read:
> 
> --
> Future work on the Language Subtag Registry SHALL be limited to
inserting
> or replacing whole records preformatted for IANA by the Language
Subtag
> Reviewer as described in Section 3.2 (Maintenance of the Registry) of
this
> document and archiving the forwarded registration form.
> --
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> http://www.quest.com
> 
> Chair, W3C Internationalization Core Working Group
> http://www.w3.org/International
> 
> Internationalization is not a feature.
> It is an architecture.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru